#!/bin/bash

source ./.env.production

msg="*** SERVER DI PRODUZIONE ****  SEI SICURO DI INVIARE IL SINGOLO FILE GENERAL.JS - SUL SERVER DI PRODUZIONE ?? $SERVERDIR_WEBSITE  (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi

if [[ $risposta == "Y" || $risposta == "y" ]]; then
    echo "Sincronizzazione di 1 FILE in corso..."
    rsync -avz -e 'ssh -p 8855' src/server/tools/general.js suryapaolo@servereng:/var/www/$SERVERDIR_WEBSITE/src/server/tools/general.js
    echo "Sincronizzazione TERMINATA - SERVER PRODUZIONE!"
fi
